List
curl --request GET \
--url https://api.qa.sima.ag/api/v3/third_party/master_campaign_cycles \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/master_campaign_cycles"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v3/third_party/master_campaign_cycles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/master_campaign_cycles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 1,
"name": "2024/25",
"date_from": "2024-07-01T00:00:00+00:00",
"date_to": "2025-06-30T00:00:00+00:00",
"is_current": true,
"modified_at": "2024-01-15T12:00:00+00:00",
"active": true
}
],
"current_page": 1,
"next_page": 1,
"total_pages": 1,
"total_items": 1
}
Version 3 > Master Campaign Cycles
List
Lista ciclos de campaña maestra visibles para el país o la sociedad del usuario.
Query: page, size (paginación); id, name (filtros de entidad); updated_at_from, updated_at_to, active (filtros de auditoría Third Party). No aplica created_at_* ni deleted_at_* en este recurso.
GET
/
api
/
v3
/
third_party
/
master_campaign_cycles
List
curl --request GET \
--url https://api.qa.sima.ag/api/v3/third_party/master_campaign_cycles \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/master_campaign_cycles"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v3/third_party/master_campaign_cycles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/master_campaign_cycles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 1,
"name": "2024/25",
"date_from": "2024-07-01T00:00:00+00:00",
"date_to": "2025-06-30T00:00:00+00:00",
"is_current": true,
"modified_at": "2024-01-15T12:00:00+00:00",
"active": true
}
],
"current_page": 1,
"next_page": 1,
"total_pages": 1,
"total_items": 1
}
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Query Parameters
Número de página (paginación).
Ítems por página (paginación).
Response
200 - application/json
OK
The response is of type object.

